Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.metadata.user.service.impl
Class UserDetailsServiceImpl

    java.lang.Object
      com.jaspersoft.jasperserver.api.metadata.user.service.impl.UserDetailsServiceImpl

All Implemented Interfaces:
  org.acegisecurity.userdetails.UserDetailsService

    public class UserDetailsServiceImpl

extends java.lang.Object
implements org.acegisecurity.userdetails.UserDetailsService

Version:
  $Id: UserDetailsServiceImpl.java 9476 2007-08-10 21:21:13Z barry $
Author:
  bklawans from code written by swood

Nested Class Summary
`class` | `UserDetailsServiceImpl.UserDetailsImpl`

Field Summary
`protected static org.apache.commons.logging.Log` | `log`

Constructor Summary
`UserDetailsServiceImpl()`

Method Summary
`java.util.List` | `getAdminUsers()`
`java.util.List` | `getDefaultAdminRoles()`
`java.util.List` | `getDefaultInternalRoles()`
`org.acegisecurity.userdetails.UserDetails` | `loadUserByUsername(java.lang.String username)`
`void` | `setAdminUsers(java.util.List adminUsers)`
`void` | `setDefaultAdminRoles(java.util.List defaultAdminRoles)`
`void` | `setDefaultInternalRoles(java.util.List defaultInternalRoles)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static final org.apache.commons.logging.Log log

Constructor Detail

### UserDetailsServiceImpl

    public UserDetailsServiceImpl()

Method Detail

### loadUserByUsername

    public org.acegisecurity.userdetails.UserDetails loadUserByUsername(java.lang.String username)
                                                                 throws org.acegisecurity.userdetails.UsernameNotFoundException,
                                                                        org.springframework.dao.DataAccessException

  Specified by:
    `loadUserByUsername` in interface `org.acegisecurity.userdetails.UserDetailsService`
  Throws:
    `org.acegisecurity.userdetails.UsernameNotFoundException`
    `org.springframework.dao.DataAccessException`

### setDefaultInternalRoles

    public void setDefaultInternalRoles(java.util.List defaultInternalRoles)

### setDefaultAdminRoles

    public void setDefaultAdminRoles(java.util.List defaultAdminRoles)

### setAdminUsers

    public void setAdminUsers(java.util.List adminUsers)

### getDefaultInternalRoles

    public java.util.List getDefaultInternalRoles()

### getDefaultAdminRoles

    public java.util.List getDefaultAdminRoles()

### getAdminUsers

    public java.util.List getAdminUsers()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.